Bug 1465773 - multipathd now delays path additions until the multipath device is set up completely with whatever paths it was created with
multipathd now delays path additions until the multipath device is set up com...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
7.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Ben Marzinski
Lin Li
: Regression
Depends On:
Blocks: 1469559
  Show dependency treegraph
 
Reported: 2017-06-28 03:39 EDT by Lin Li
Modified: 2017-08-02 03:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lin Li 2017-06-28 03:39:38 EDT
Description of problem:
multipathd now delays path additions until the multipath device
is set up completely with whatever paths it was created with

Version-Release number of selected component (if applicable):
RHEL-7.4-20170621.0

How reproducible:
always

Steps to Reproduce:
1.install RHEL-7.4-20170621.0
2.run case: /kernel/storage/misc/env_setup
3.run case: /kernel/storage/multipath/multipathd_print_major_minor 

Actual results:
this test (multipathd_print_major_minor) isn't guaranteed to work.
The message that it's looking for, "path added to devmap", won't always
appear.  
Now, this message probably should also show the major:minor of the path
like the other message,

Expected results:
/var/log/messages | egrep 'path added to devmap'  pass
"path added to devmap" can be shown in /var/log/messages
Additional info:
beaker job: https://beaker.engineering.redhat.com/recipes/3980410#task57494627
console log: http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/06/19200/1920016/3980410/57494627/TESTOUT.log

Note You need to log in before you can comment on or make changes to this bug.